Subject: bug#44351: Bug in grep v3.2 onwards in regular expression matching

From: Jim Meyering <[email-masked]>
Date: Sun, 1 Nov 2020 08:09:51 -0800

On Sun, Nov 1, 2020 at 8:05 AM Jim Meyering <[email-masked]> wrote:
> On Sun, Nov 1, 2020 at 8:02 AM Jim Meyering <[email-masked]> wrote:
> >
> > On Sun, Nov 1, 2020 at 7:31 AM Norihiro Tanaka <[email-masked]> wrote:
> > > Hi,
> > > By the way, I was wondering whether to add the test to ere.tests or
> > > spencer1.tests or to a new file.  How should they be used properly?
> >
> > Adding the new test in either place is fine, but there should be a comment.
> >
> > Also, we need a NEWS entry. I'll add that separately.
>
> My mention of NEWS here is ambiguous.
> When I wrote that, I was thinking of grep's NEWS file.
> Just after sending, I realized I must also mention the fix in gnulib's
> NEWS file.
> Amending shortly.

I hadn't read gnulib's NEWS file in too long. It's for things like API
changes, not bug fixes.